#!/bin/bash

tikimanager_root=/opt/tiki-manager/app

# create ssh key
if [ ! -e "${tikimanager_root}/data/id_rsa" ];
then
    ssh-keygen -f "${tikimanager_root}/data/id_rsa" -N '' -C "tikimanager@${HOST}"
fi

# execute once to make sure vendor and db is initialized / updated
if [ ! -e "${tikimanager_root}/data/trim.db" ];
then
    "${tikimanager_root}/tiki-manager" -V
fi

# check if 'hooks' directory exists, if not create it
if [ ! -d "${tikimanager_root}/hooks" ];
then
    mkdir -p "${tikimanager_root}/hooks"
fi
